Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
e2fsprogs ss com_err blocks problem
View unanswered posts
View posts from last 24 hours

Goto page 1, 2  Next  
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
DRAGOSN
n00b
n00b


Joined: 21 May 2008
Posts: 17

PostPosted: Sat Aug 16, 2008 10:27 am    Post subject: update problem Reply with quote

hi, I am trying to update my system and and it shows me some blocked packages .. I want to ask you which one of the packages to unmerge because I do not know what to to ...

Here is the: emerge --pretend --deep --update world


[ebuild N ] sys-apps/man-pages-posix-2003a
[ebuild N ] sys-libs/e2fsprogs-libs-1.41.0 USE="nls"
[ebuild U ] sys-fs/e2fsprogs-1.41.0 [1.40.9]
[uninstall ] sys-libs/ss-1.40.9
[blocks b ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B ] <sys-fs/e2fsprogs-1.41 (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.0)


these are the lines that I need help on

Thanks
Back to top
View user's profile Send private message
Treggats
n00b
n00b


Joined: 04 Aug 2007
Posts: 46
Location: 127.0.0.1/24

PostPosted: Sat Aug 16, 2008 10:43 am    Post subject: Reply with quote

same problem here, I'm still trying to find out what to do since all the blockers are needed as dependencie

Edit: we should try again tomorrow
_________________
/* Insert funny quote */
Back to top
View user's profile Send private message
BigWig
n00b
n00b


Joined: 21 Jun 2006
Posts: 31
Location: Wigan UK

PostPosted: Sat Aug 16, 2008 12:30 pm    Post subject: Reply with quote

well i've been scratching my head on this one too , in the end i have just masked =sys-fs/e2fsprogs-1.41.0 as many packages are dependent on sys-libs/ss and sys-libs/com_err

bug is here http://bugs.gentoo.org/show_bug.cgi?id=234907
_________________
eh?
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4025
Location: india

PostPosted: Sat Aug 16, 2008 1:08 pm    Post subject: emerge -Du world blocks hevoc again!!![wkd arnd] Reply with quote

Code:
>>> Recording sys-libs/ss in "world" favorites file...
>>> Auto-cleaning packages...

>>> No outdated packages were found on your system.

 * GNU info directory index is up-to-date.

!!! existing preserved libs:
>>> package: www-client/mozilla-firefox-3.0-r1
 *  - /usr/lib/mozilla-firefox/libgtkembedmoz.so
Use emerge @preserved-rebuild to rebuild packages using these libraries
(chroot) ramaswamy-laptop / # emerge -Duav world

These are the packages that would be merged, in order:

Calculating dependencies... done!

!!! All ebuilds that could satisfy "~sys-libs/e2fsprogs-libs-1.41.0" have been masked.
!!! One of the following masked packages is required to complete your request:
- sys-libs/e2fsprogs-libs-1.41.0 (masked by: package.mask)

For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.
(dependency required by "sys-fs/e2fsprogs-1.41.0" [ebuild])

(chroot) ramaswamy-laptop / # nano -w /etc/portage/package.mask
(chroot) ramaswamy-laptop / # emerge -Duav world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild  NS   ] sys-kernel/gentoo-sources-2.6.26-r1 [2.6.25-r6, 2.6.26] USE="-build -symlink" 87 kB
[ebuild     U ] app-editors/vim-core-7.2 [7.1.319] USE="acl nls -bash-completion -livecd" 9,079 kB
[ebuild     U ] app-editors/vim-7.2 [7.1.319] USE="acl gpm nls perl python -bash-completion -cscope -minimal -ruby -vim-pager -vim-with-x" 0 kB
[ebuild     U ] dev-libs/dbus-glib-0.76 [0.74-r1] USE="-debug -doc (-selinux)" 652 kB
[ebuild     U ] dev-python/dbus-python-0.83.0 [0.82.4] USE="-test" 483 kB
[ebuild     U ] app-emulation/wine-1.1.1 [1.1.0] USE="X alsa cups dbus gecko hal ncurses opengl -esd -jack -jpeg -lcms -ldap -nas -oss -samba -scanner -xml" 13,784 kB
[ebuild     U ] app-editors/gvim-7.2 [7.1.319] USE="acl gnome gpm gtk nls perl python (-aqua) -bash-completion -cscope -motif -netbeans -nextaw -ruby" 0 kB
[ebuild     U ] app-admin/conky-1.6.1 [1.6.0_pre01198] USE="X ipv6 -audacious (-bmpx) -debug -hddtemp -mpd -nano-syntax -rss -smapi -truetype -vim-syntax -wifi" 432 kB
[ebuild     U ] media-libs/xine-lib-1.1.15 [1.1.14-r1] USE="X aac alsa arts dvd fbcon gtk imagemagick ipv6 mad nls opengl samba truetype vorbis win32codecs xinerama -a52 -aalib (-altivec) -debug -directfb -dts -dxr3 -esd -flac -gnome -jack -libcaca -mmap -mng -modplug -musepack -oss -pulseaudio -real -sdl -speex -theora -v4l -vcd -vidix (-vis) -wavpack -xcb -xv -xvmc" 7,304 kB
[ebuild     U ] gnome-extra/yelp-2.22.1-r11 [2.22.1-r10] USE="-beagle -debug -lzma" 0 kB
[ebuild     U ] media-sound/amarok-1.4.10-r1 [1.4.9.1-r1] USE="amazon kde opengl python -daap -debug -ifp -ipod -mp4 -mtp -musicbrainz -mysql -njb -postgres -real -visualization -xinerama (-arts%*)" LINGUAS="-af -ar -az -be -bg -bn -br -ca -cs -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -ga -gl -he -hi -hu -id -is -it -ja -km -ko -ku -lo -lt -mk -ms -nb -nds -ne -nl -nn -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sq -sr -sr@Latn -ss -sv -ta -tg -th -tr -uk -uz -zh_CN -zh_TW" 12,513 kB
[ebuild  N    ] sys-libs/e2fsprogs-libs-1.41.0  USE="nls" 476 kB
[ebuild     U ] sys-fs/e2fsprogs-1.41.0 [1.40.11] USE="nls -static" 4,161 kB
[blocks B     ] <sys-fs/e2fsprogs-1.41 (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B     ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B     ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.0)

Total: 13 packages (11 upgrades, 1 new, 1 in new slot), Size of downloads: 48,966 kB
Conflict: 3 blocks (3 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

(chroot) ramaswamy-laptop / #               



for the above blocks i unmerged com_err[like mad man] and tried to block e2fsprogs and its libs with package.mask
i ended up with a system refused to boot up.
thats why the choot environment.
i emerge the com_err and ss and got the same message of blocks.
what exactly i have to block/unblock/unmerge to continue the update.
you can see the ever nagging emerge @preserved-rebuild which never stops asking icer and over to emerge.

i am going mad with recent emerge blocks and other update errors.
help help :( :(
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)


Last edited by padoor on Sun Aug 17, 2008 3:11 am; edited 1 time in total
Back to top
View user's profile Send private message
keyson
l33t
l33t


Joined: 10 Jun 2003
Posts: 827
Location: Sweden

PostPosted: Sat Aug 16, 2008 1:55 pm    Post subject: Reply with quote

Hi,

Yep this is a thing that the developers did not check before they put it in the
portage and without hardmasking it.

The thing is that mit-krb5 is dependent on sys-lib/com_err, and the new e2fsprogs-libs
is now supplying this. (com_err and ss)

So it block because of the dependency of the com_err and ss.

I did it this way.
Emerge fetch the new packages e2fsprogs ans -libs. (this is because the com_err break the wget)
when you unmerge the block. (also ssl is dependent on mit-krb5 if you have kerberos use flag)

Now move the mit-krb5 to overlay removing the dependency on com_err and ss.
(see how to use overlay)

now you can unmereg the block and emerge the new e2fsprogs and lib as the mit-krb5 is no
longer dependent on it.

To rebuild the mit-krb5 you have to make a softlink for com_err.h from
/usr/include/et/com_err.h to /usr/include/com_err.h as it don't find the include file.

Now it would work. This is not the right way but it make it run.

You can try it out or wait until the developer fix this in portage.

Regards
Back to top
View user's profile Send private message
techie705
n00b
n00b


Joined: 01 Apr 2006
Posts: 44
Location: Milwaukee, WI

PostPosted: Sat Aug 16, 2008 2:24 pm    Post subject: Reply with quote

I got the same thing today, but I masked sys-fs/e2fsprogs and will keep my older one for now.
Code:
>sys-fs/e2fsprogs-1.40.11
Back to top
View user's profile Send private message
BiggieStylin
n00b
n00b


Joined: 08 Nov 2004
Posts: 13
Location: Illinois, USA

PostPosted: Sat Aug 16, 2008 7:08 pm    Post subject: Reply with quote

techie705 wrote:
I got the same thing today, but I masked sys-fs/e2fsprogs and will keep my older one for now.
Code:
>sys-fs/e2fsprogs-1.40.11


I tried this, but am still getting blocks.

Code:

[blocks B     ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B     ] <sys-fs/e2fsprogs-1.41 (is blocking sys-libs/e2fsprogs-libs-1.41.0)
[blocks B     ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.0)


It's still trying to install sys-libs/e2fsprogs-libs-1.41.0 because net-fs/nfs-utils-1.1.3 needs it. I solved the problem by not only masking sys-fs/e2fsprogs-1.40.11 but also masking net-fs/nfs-utils-1.1.3 This got me past that block, hopefully I can unmask soon. :)

Code:

>=net-fs/nfs-utils-1.1.3

_________________
~ Eric
Back to top
View user's profile Send private message
SeaTiger
l33t
l33t


Joined: 22 Nov 2007
Posts: 603
Location: Toronto, Ontario, Canada

PostPosted: Sat Aug 16, 2008 8:17 pm    Post subject: Reply with quote

I get pass that by killing my home machine 8O
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4025
Location: india

PostPosted: Sun Aug 17, 2008 3:09 am    Post subject: Reply with quote

i did all the followings must be done in one stretch.
get the tarballs of e2fsprogs and libs
unmerge com_err an ss and e2fsprogs
emerge e2fsprogs libs
emerge e2fsprogs. it will merge version 1.4.0 of progs.
now my system is booting.ok and update dont have anymore blocks.
i dont use kerboros
see keyson 's post above .
it seems to have solved the problem for now. :) :)
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
Ormaaj
Guru
Guru


Joined: 28 Jan 2008
Posts: 315

PostPosted: Sun Aug 17, 2008 4:05 am    Post subject: Reply with quote

I copied the mit-krb5 ebuild to a local repository, and edited its dependencies.
Back to top
View user's profile Send private message
tj
Apprentice
Apprentice


Joined: 10 Aug 2002
Posts: 199
Location: tokyo, japan

PostPosted: Sun Aug 17, 2008 4:24 am    Post subject: Reply with quote

Before anyone gets too alarmist here, this was a straightfoward remove blockers and emerge new packages routine for me:
my /var/log/emerge.log wrote:
1218945272: Started emerge on: Aug 17, 2008 12:54:32
1218945272: *** emerge unmerge =sys-libs/ss-1.40.11
1218945278: === Unmerging... (sys-libs/ss-1.40.11)
1218945279: >>> unmerge success: sys-libs/ss-1.40.11
1218945279: *** exiting successfully.
1218945279: *** terminating.
1218945305: Started emerge on: Aug 17, 2008 12:55:05
1218945305: *** emerge unmerge =sys-libs/com_err
1218945305: *** terminating.
1218945334: Started emerge on: Aug 17, 2008 12:55:34
1218945334: *** emerge unmerge =sys-libs/com_err-1.40.11
1218945340: === Unmerging... (sys-libs/com_err-1.40.11)
1218945341: >>> unmerge success: sys-libs/com_err-1.40.11
1218945341: *** exiting successfully.
1218945341: *** terminating.
1218945359: Started emerge on: Aug 17, 2008 12:55:59
1218945359: *** emerge unmerge e2fsprogs
1218945375: === Unmerging... (sys-fs/e2fsprogs-1.40.11)
1218945376: >>> unmerge success: sys-fs/e2fsprogs-1.40.11
1218945376: *** exiting successfully.
1218945380: *** terminating.
1218945439: Started emerge on: Aug 17, 2008 12:57:19
1218945439: *** emerge =sys-libs/e2fsprogs-libs-1.41.0
1218945440: >>> emerge (1 of 1) sys-libs/e2fsprogs-libs-1.41.0 to /
1218945443: === (1 of 1) Cleaning (sys-libs/e2fsprogs-libs-1.41.0::/usr/portage/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.41.0.ebuild)
1218945443: === (1 of 1) Compiling/Merging (sys-libs/e2fsprogs-libs-1.41.0::/usr/portage/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.41.0.ebuild)
1218945459: === (1 of 1) Merging (sys-libs/e2fsprogs-libs-1.41.0::/usr/portage/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.41.0.ebuild)
1218945461: === (1 of 1) Updating world file (sys-libs/e2fsprogs-libs-1.41.0)
1218945461: === (1 of 1) Post-Build Cleaning (sys-libs/e2fsprogs-libs-1.41.0::/usr/portage/sys-libs/e2fsprogs-libs/e2fsprogs-libs-1.41.0.ebuild)
1218945461: ::: completed emerge (1 of 1) sys-libs/e2fsprogs-libs-1.41.0 to /
1218945461: *** Finished. Cleaning up...
1218945461: *** exiting successfully.
1218945464: *** terminating.
1218945472: Started emerge on: Aug 17, 2008 12:57:52
1218945472: *** emerge =sys-fs/e2fsprogs-1.41.0
1218945473: >>> emerge (1 of 1) sys-fs/e2fsprogs-1.41.0 to /
1218945481: === (1 of 1) Cleaning (sys-fs/e2fsprogs-1.41.0::/usr/portage/sys-fs/e2fsprogs/e2fsprogs-1.41.0.ebuild)
1218945481: === (1 of 1) Compiling/Merging (sys-fs/e2fsprogs-1.41.0::/usr/portage/sys-fs/e2fsprogs/e2fsprogs-1.41.0.ebuild)
1218945507: === (1 of 1) Merging (sys-fs/e2fsprogs-1.41.0::/usr/portage/sys-fs/e2fsprogs/e2fsprogs-1.41.0.ebuild)
1218945509: === (1 of 1) Post-Build Cleaning (sys-fs/e2fsprogs-1.41.0::/usr/portage/sys-fs/e2fsprogs/e2fsprogs-1.41.0.ebuild)
1218945509: ::: completed emerge (1 of 1) sys-fs/e2fsprogs-1.41.0 to /
1218945509: *** Finished. Cleaning up...
1218945509: *** exiting successfully.
1218945509: *** terminating.
1218945740: Started emerge on: Aug 17, 2008 13:02:20
1218945740: *** emerge netpbm
1218945742: >>> emerge (1 of 1) media-libs/netpbm-10.43.00 to /
1218945745: === (1 of 1) Cleaning (media-libs/netpbm-10.43.00::/usr/portage/media-libs/netpbm/netpbm-10.43.00.ebuild)
1218945745: === (1 of 1) Compiling/Merging (media-libs/netpbm-10.43.00::/usr/portage/media-libs/netpbm/netpbm-10.43.00.ebuild)
1218945820: === (1 of 1) Merging (media-libs/netpbm-10.43.00::/usr/portage/media-libs/netpbm/netpbm-10.43.00.ebuild)
1218945825: === (1 of 1) Post-Build Cleaning (media-libs/netpbm-10.43.00::/usr/portage/media-libs/netpbm/netpbm-10.43.00.ebuild)
1218945825: ::: completed emerge (1 of 1) media-libs/netpbm-10.43.00 to /
1218945825: *** Finished. Cleaning up...
1218945825: *** exiting successfully.
1218945825: *** terminating.

Yes, I know I should be using emerge --unmerge but old habits die hard ;)
_________________
I tried installing Suse Linux off the Internet. It got stuck in the middle somewhere.Installing off the Internet is for the birds.
Back to top
View user's profile Send private message
omidxo
n00b
n00b


Joined: 23 Feb 2005
Posts: 65

PostPosted: Sun Aug 17, 2008 6:02 am    Post subject: Reply with quote

e2fsprogs-libs-1.41.0.ebuild
Code:
--- e2fsprogs-libs-1.41.0.ebuild.orig   2008-08-16 12:59:44.000000000 +0800
+++ e2fsprogs-libs-1.41.0.ebuild   2008-08-17 13:16:57.000000000 +0800
@@ -54,6 +54,7 @@
    export STRIP=/bin/true
 
    emake DESTDIR="${D}" install || die
+   dosym et/com_err.h /usr/include/com_err.h
 
    dodir /$(get_libdir)
    local lib slib
Back to top
View user's profile Send private message
tj
Apprentice
Apprentice


Joined: 10 Aug 2002
Posts: 199
Location: tokyo, japan

PostPosted: Sun Aug 17, 2008 9:47 am    Post subject: Reply with quote

omidxo wrote:
e2fsprogs-libs-1.41.0.ebuild
Code:
--- e2fsprogs-libs-1.41.0.ebuild.orig   2008-08-16 12:59:44.000000000 +0800
+++ e2fsprogs-libs-1.41.0.ebuild   2008-08-17 13:16:57.000000000 +0800
@@ -54,6 +54,7 @@
    export STRIP=/bin/true
 
    emake DESTDIR="${D}" install || die
+   dosym et/com_err.h /usr/include/com_err.h
 
    dodir /$(get_libdir)
    local lib slib

Fair play - so I withdraw my remarks for those who encountered this before Aug 17, post-Aug 17 I think my comments apply unless your mirrors are slow to update
_________________
I tried installing Suse Linux off the Internet. It got stuck in the middle somewhere.Installing off the Internet is for the birds.
Back to top
View user's profile Send private message
omidxo
n00b
n00b


Joined: 23 Feb 2005
Posts: 65

PostPosted: Sun Aug 17, 2008 11:41 am    Post subject: Reply with quote

Ormaaj wrote:
I copied the mit-krb5 ebuild to a local repository, and edited its dependencies.


tj wrote:
Fair play - so I withdraw my remarks for those who encountered this before Aug 17, post-Aug 17 I think my comments apply unless your mirrors are slow to update

Sorry. It's my own patch for rebuild app-crypt/mit-krb5. ;-)
Back to top
View user's profile Send private message
Bloodsurfer
Guru
Guru


Joined: 07 Dec 2005
Posts: 359
Location: Germany (Saarland)

PostPosted: Sun Aug 17, 2008 1:09 pm    Post subject: Reply with quote

Wow, I almost got a little nervous.

I deleted the blocking packages as I do always, then tried emerging the new one and noticed that wget didn't work anymore :shock:

Well, after downloading the neccessary source files with firefox I could proceed, so no sweat. Then removed kerberos from the use flags to get rid of the remaining blocks...
_________________
SiberianSniper: my girlfriend's name ends with .c
Clete2: Uber geek! W00t! I'd rather have it end in .cpp... <insert name>.cpp
Dralnu: ...why not <name>.o? Then she's ready for linking...
SiberianSniper: or <name>.ko, so she's ready for insertion?
Back to top
View user's profile Send private message
Bloodsurfer
Guru
Guru


Joined: 07 Dec 2005
Posts: 359
Location: Germany (Saarland)

PostPosted: Sun Aug 17, 2008 4:21 pm    Post subject: Reply with quote

Oh damn, and just why and since when doesn't revdep-rebuild work anymore?

It says my linking is correct and consistent but I do see that very fscking much is broken...
wget, openssl, everything that depended on kerberos (of course as I needed to delete that) doesn't work anymore, many packages need to be rebuild but revdep-rebuild doesn't find them!

That revdep-rebuild check also runs through very fast, so fast that it can't possibly be checking correctly in such a short time!
_________________
SiberianSniper: my girlfriend's name ends with .c
Clete2: Uber geek! W00t! I'd rather have it end in .cpp... <insert name>.cpp
Dralnu: ...why not <name>.o? Then she's ready for linking...
SiberianSniper: or <name>.ko, so she's ready for insertion?
Back to top
View user's profile Send private message
TequilaTR
n00b
n00b


Joined: 01 Feb 2005
Posts: 58

PostPosted: Sun Aug 17, 2008 6:19 pm    Post subject: Reply with quote

Bloodsurfer wrote:
Oh damn, and just why and since when doesn't revdep-rebuild work anymore?

It says my linking is correct and consistent but I do see that very fscking much is broken...
wget, openssl, everything that depended on kerberos (of course as I needed to delete that) doesn't work anymore, many packages need to be rebuild but revdep-rebuild doesn't find them!

That revdep-rebuild check also runs through very fast, so fast that it can't possibly be checking correctly in such a short time!


You are right, and i also was realizing this, and was wondering if it works correct. I just had some time to do some research,
and i think, since the new portage version with the @preserved-libs feature, revdep-rebuild per default only tries to rebuild stuff
which is marked by portage... - following the revdep-rebuild manpage i tried:
Code:

env SEARCH_DIRS="/ -*" SEARCH_DIRS_MASK="/mnt /home /media /scratch" revdep-rebuild -p


Which should enable a search roughly everywhere, and woops... there are broken deps...

[Edit] : Hmm... was some binary package... maybe if was a false positive. Hope anyway the hint helped somehow...
Back to top
View user's profile Send private message
billydv
l33t
l33t


Joined: 22 Dec 2006
Posts: 870
Location: Mount Vernon, NY

PostPosted: Tue Sep 02, 2008 11:37 am    Post subject: Can someone help me get past these blocks? Reply with quote

If you notice the newer versions of e2fs are blocked by ss and com_err which are system packages that cannot be unmerged becuase afterwards I found it imposible to emerge anything, cant write to disk.







emerge --pretend --update --deep --newuse world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild U ] dev-perl/IO-Socket-SSL-1.15 [1.14]
[ebuild U ] dev-python/pyxattr-0.4.0 [0.2.1]
[ebuild U ] dev-python/pylibacl-0.4.0 [0.2.1]
[ebuild U ] app-text/rarian-0.8.1 [0.8.0-r1]
[ebuild U ] dev-libs/boost-1.35.0-r2 [1.35.0-r1]
[ebuild U ] media-libs/alsa-lib-1.0.17a [1.0.17-r1]
[ebuild U ] media-gfx/exiv2-0.17.1 [0.17]
[ebuild NS ] gnome-extra/libgda-3.0.4 [1.2.4] USE="berkdb doc ldap mysql odbc postgres -bindist -debug (-firebird) -freetds -oci8 -xbase"
[ebuild NS ] gnome-extra/libgnomedb-3.0.0 [1.2.2] USE="doc -debug"
[ebuild U ] dev-util/cmake-2.6.1 [2.4.8] USE="qt4%*"
[ebuild U ] games-engines/scummvm-0.12.0 [0.11.1]
[ebuild N ] sys-libs/e2fsprogs-libs-1.41.1 USE="nls"
[ebuild U ] sys-fs/e2fsprogs-1.41.1 [1.40.11]
[blocks b ] <sys-fs/e2fsprogs-1.41 (is blocking sys-libs/e2fsprogs-libs-1.41.1)
[ebuild N ] dev-python/gnome-python-base-2.22.1 USE="-debug"
[ebuild N ] dev-python/libgnomecanvas-python-2.22.1 USE="examples -debug"
[ebuild N ] dev-python/gnome-vfs-python-2.22.1 USE="doc examples -debug"
[ebuild N ] dev-python/gconf-python-2.22.1 USE="examples -debug"
[ebuild N ] dev-python/libbonobo-python-2.22.1 USE="examples -debug"
[ebuild N ] dev-python/libgnome-python-2.22.1 USE="examples -debug"
[ebuild U ] dev-python/gnome-python-2.22.1 [2.22.0]
[blocks b ] <dev-python/gnome-python-2.22.1 (is blocking dev-python/gnome-vfs-python-2.22.1, dev-python/gnome-python-base-2.22.1, dev-python/libbonobo-python-2.22.1, dev-python/gconf-python-2.22.1, dev-python/libgnomecanvas-python-2.22.1, dev-python/libgnome-python-2.22.1)
[blocks B ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.1)
[blocks B ] sys-libs/e2fsprogs-libs (is blocking sys-libs/com_err-1.40.11, sys-libs/ss-1.40.11)
[blocks B ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.1)
_________________
Billy DeVincentis
Back to top
View user's profile Send private message
gimpel
Advocate
Advocate


Joined: 15 Oct 2004
Posts: 2720
Location: Munich, Bavaria

PostPosted: Tue Sep 02, 2008 12:15 pm    Post subject: Reply with quote

http://forums.gentoo.org/viewtopic-t-704561-highlight-e2fsprogslibs.html already has infos on this issue.
_________________
http://proaudio.tuxfamily.org/wiki - pro-audio software overlay
Back to top
View user's profile Send private message
w0rd88
n00b
n00b


Joined: 05 Dec 2004
Posts: 10
Location: Chicago, IL, USA

PostPosted: Tue Sep 02, 2008 4:01 pm    Post subject: Reply with quote

Wow, this is still an issue, even after a version bump of e2fsprogs-libs(from 1.41.0 to 1.41.1):

[ebuild N ] sys-libs/e2fsprogs-libs-1.41.1 USE="nls" 0 kB
[ebuild N ] sys-libs/com_err-1.40.11 USE="nls" 0 kB
[ebuild N ] sys-fs/e2fsprogs-1.41.1 USE="nls" 0 kB
[ebuild N ] sys-libs/ss-1.40.11 USE="nls" 0 kB
[blocks B ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.1)
[blocks B ] sys-libs/e2fsprogs-libs (is blocking sys-libs/com_err-1.40.11, sys-libs/ss-1.40.11)
[blocks B ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.1)


Is it just me, or is blocking several core-packages manually, through several updates (witout a FIX), just a bad way to get new users? I have been using gentoo for years, and have this same problem on all of my machines.

I also 'solved' this by adding the following to '/etc/portage/package.mask'.
>=sys-libs/e2fsprogs-libs-1.41.0
>=net-fs/nfs-utils-1.1.3
>=sys-fs/e2fsprogs-1.41.0

-d
Back to top
View user's profile Send private message
TequilaTR
n00b
n00b


Joined: 01 Feb 2005
Posts: 58

PostPosted: Tue Sep 02, 2008 5:21 pm    Post subject: Reply with quote

Hm. Actually after the first hickups, this problem is realtively smooth solveable.

Simply emerge -f all packages, incl. wget, then emerge -C the blocks and emerge e2fsprogs did the trick... (there should be more threads in the forums around)...
Back to top
View user's profile Send private message
w0rd88
n00b
n00b


Joined: 05 Dec 2004
Posts: 10
Location: Chicago, IL, USA

PostPosted: Tue Sep 02, 2008 5:58 pm    Post subject: Reply with quote

Quote:
Simply emerge -f all packages, incl. wget, then emerge -C the blocks and emerge e2fsprogs did the trick... (there should be more threads in the forums around)...


That worked for me also. Strange part is that I tried exactly that before posting, but with --unmerge instead of -C, which did not work... Hrm, I *must* have done something differently, but history is saying I did not. Oh well, user-errors that I am not seeing aside, your solution worked well, and thanks.

Thanks again!
Back to top
View user's profile Send private message
padoor
Advocate
Advocate


Joined: 30 Dec 2005
Posts: 4025
Location: india

PostPosted: Wed Sep 03, 2008 3:38 am    Post subject: Reply with quote

after that once the conflicts in packages blocking each other has not arised for last three updates.
_________________
reach out a little bit more to catch it (DON'T BELIEVE the advocate part under my user name)
Back to top
View user's profile Send private message
zjcim
n00b
n00b


Joined: 17 Mar 2007
Posts: 71

PostPosted: Wed Sep 03, 2008 1:23 pm    Post subject: e2fsprogs ss com_err blocks problem Reply with quote

no error when emerge -aDNuvt world
but revdep-rebuild errors come:
Code:
[blocks B     ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.1)
[blocks B     ] sys-libs/e2fsprogs-libs (is blocking sys-libs/com_err-1.40.11, sys-libs/ss-1.40.11)
[blocks B     ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.1)


un-emerge sys-libs/ss sys-libs/com_err ,but ,there are no packages to un-emerge like ss or sys-libs/ss
Back to top
View user's profile Send private message
zjcim
n00b
n00b


Joined: 17 Mar 2007
Posts: 71

PostPosted: Wed Sep 03, 2008 1:24 pm    Post subject: Re: e2fsprogs ss com_err blocks problem Reply with quote

zjcim wrote:
no error when emerge -aDNuvt world
but revdep-rebuild errors come:
Code:
[blocks B     ] sys-libs/ss (is blocking sys-libs/e2fsprogs-libs-1.41.1)
[blocks B     ] sys-libs/e2fsprogs-libs (is blocking sys-libs/com_err-1.40.11, sys-libs/ss-1.40.11)
[blocks B     ] sys-libs/com_err (is blocking sys-libs/e2fsprogs-libs-1.41.1)


un-emerge sys-libs/ss sys-libs/com_err ,but ,there are no packages to un-emerge like ss or sys-libs/ss


emerge --info

l
Code:
ocalhost joey # emerge --info
WARNING: repository at /usr/portage/local/layman/gentoo-china is missing a repo_name entry
WARNING: repository at /usr/portage/local/layman/xeffects is missing a repo_name entry
Portage 2.2_rc8 (default/linux/x86/2008.0/desktop, gcc-4.3.1, glibc-2.8_p20080602-r0, 2.6.24-gentoo-r3 i686)
=================================================================
System uname: Linux-2.6.24-gentoo-r3-i686-Intel-R-_Pentium-R-_III_Mobile_CPU_1133MHz-with-glibc2.0
Timestamp of tree: Wed, 03 Sep 2008 11:04:01 +0000
app-shells/bash:     3.2_p39
dev-java/java-config: 1.3.7, 2.1.6-r1
dev-lang/python:     2.5.2-r7
sys-apps/baselayout: 2.0.0
sys-apps/openrc:     0.2.5
sys-apps/sandbox:    1.2.18.1-r3
sys-devel/autoconf:  2.13, 2.62-r1
sys-devel/automake:  1.5, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.1-r1
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.0-r4
sys-devel/libtool:   2.2.4
virtual/os-headers:  2.6.26
ACCEPT_KEYWORDS="x86 ~x86"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O2 -march=i686 -pipe"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/terminfo /etc/udev/rules.d"
CXXFLAGS="-O2 -march=i686 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="ccache distlocks parallel-fetch preserve-libs sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="#http://gentoo.chem.wisc.edu/gentoo/ #http://mirror.gentoo.no/ #http://linux.rz.ruhr-uni-bochum.de/download/gentoo-mirror/ #http://gentoo.supp.name/ #http://mirror.usu.edu/mirrors/gentoo/ ftp://gentoo.anheng.com.cn/gentoo http://mirrors.lupaworld.com/gentoo/ #http://linux.ntcu.net/ftp/dists/gentoo/"
LC_ALL="zh_CN.utf8"
LDFLAGS="-Wl,-O1"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/portage/local/layman/gentoo-china /usr/portage/local/layman/xeffects /usr/portage/local/layman/gentoo-china /usr/portage/local/layman/xeffects"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7zip X acl acpi alsa arts bash-completion berkdb bluetooth branding bzip2 cairo cdr cjk cli cracklib crypt cups cvs dbus dri dvd dvdr dvdread eds emboss encode esd evo fam ffmpeg flash fortran ftp gdbm gif gpm gstreamer gtk hal hdaps iconv immqt-bc isdnlog jpeg kde kdeenablefinal kerberos ldap libnotify lirc mad midi mikmod mmx mmx2 mmx3 mp3 mpeg mplayer msn mudflap ncurses newspr nls nptl nptlonly ntplonly ogg opengl openmp oss pam pcre pdf perl png ppds pppd python qt qt3 qt3support qt4 quicktime readline reflection samba sdl session spell spl sse sse2 ssl startup-notification svg svga sysfs tcpd tiff true-fonts truetype type1 udev unicode usb userlocales utf8 vcd vorbis win32codecs x86 xine xml xorg xulrunner xv zlib" ALSA_CARDS="intel8x0" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" USERLAND="GNU" VIDEO_CARDS="radeon"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, LANG, LINGUAS, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Goto page 1, 2  Next
Page 1 of 2

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum